<?php

namespace App\domain\travelport;

use Exception;
use GuzzleHttp\Exception\GuzzleException;
use Illuminate\Support\Facades\Log;

class AddTravelerInWorkbench extends Workbench
{
    protected string $reservationId;
    protected array $traveler;

    public function execute(string $reservationId, array $traveler)
    {
        $this->reservationId = $reservationId;
        $this->traveler = $traveler;

        return $this->travelportPost();
    }

    public function buildApiUrl(): string
    {
        return "https://{$this->baseURL}/{$this->apiVersion}/air/book/traveler/reservationworkbench/{$this->reservationId}/travelers";
    }

    public function createPayload(): array
    {
        return $this->traveler;
    }
}
