<?php

namespace App\domain\travelport\ticketing;

use App\domain\travelport\Workbench;

class AddFormOfPaymentAction extends Workbench
{
    protected string $ticketWorkbenchAuthorityValue;

    public function execute(string $ticketWorkbenchAuthorityValue)
    {
        $this->ticketWorkbenchAuthorityValue = $ticketWorkbenchAuthorityValue;

        return $this->travelportPost();
    }

    protected function buildApiUrl(): string
    {
        return "https://{$this->baseURL}/{$this->apiVersion}/air/payment/reservationworkbench/{$this->ticketWorkbenchAuthorityValue}/formofpayment";
    }

    protected function createPayload(): array
    {
        return  [
            "FormOfPaymentCash" => [
                "id" => "formOfPayment_10",
                "FormOfPaymentRef" => "formOfPayment_10",
                "Identifier" => [
                    "authority" => "Travelport",
                    "value" => $this->ticketWorkbenchAuthorityValue
                ]
            ]
        ];
    }
}
