<?php

namespace App\domain\travelport\ticketing;

use App\domain\travelport\Workbench;
use Exception;
use GuzzleHttp\Exception\GuzzleException;
use Illuminate\Support\Facades\Log;

class PreTicketReviewAction extends Workbench
{
    protected string $ticketWorkbenchAuthorityValue;

    public function execute(string $ticketWorkbenchAuthorityValue)
    {
        $this->ticketWorkbenchAuthorityValue = $ticketWorkbenchAuthorityValue;

        $apiUrl = $this->buildApiUrl();

        try {
            $response = $this->client->post($apiUrl, [
                'headers' => $this->getHeaders()
            ]);

            return json_decode($response->getBody(), true);
        } catch (Exception $e) {
            Log::error($e->getMessage());
            echo 'PostCommitInitiateWorkbenchAction Error: ' . $e->getMessage();
            return null;
        } catch (GuzzleException $e) {
            Log::error($e->getMessage());
            echo 'Error Post Commit Initiate workbench: ' . $e->getMessage();
            return null;
        }
    }

    protected function buildApiUrl(): string
    {
        return "https://{$this->baseURL}/{$this->apiVersion}/air/book/session/reservationworkbench/{$this->ticketWorkbenchAuthorityValue}";
    }

    protected function createPayload(): array
    {
        return [];
    }
}
